'use client';
import { useState } from 'react';
import zips from '@/assets/data/zip_service.json';

export default function Zip(){
	const [zip, setZip] = useState('');

	return (
		<div className="mt-14 mb-20 mx-1">
			{
				zip.length===5 ?
				<>
					<p className='text-center font-bold mt-2 text-lg'>{zip}</p>
					{
						zips.includes(zip) ?
						<>
							<p className="text-2xl sm:text-4xl font-bold text-center text-success">Perfect, we&apos;re in your area!</p>
						</>:
						<>
							<p className="text-2xl sm:text-4xl font-bold text-center text-error">Oops!, we&apos;re not in your area.</p>
							<p className='font-bold text-center'>We&apos;ll notify you when we&apos;re available in your area.</p>
						</>
					}
					<div className="mt-2 flex flex-col items-center gap-2">
						<button type="button" className="btn btn-wide rounded-full text-white bg-gradient-to-r font-bold from-fuchsia-600 to-blue-600 hover:bg-gradient-to-l">Create Account</button>
						<button className="btn btn-sm btn-outline btn-neutral rounded-xl" onClick={()=>{setZip('')}}>Check another Zip code</button>
					</div>
				</>:
				<>
					<p className="text-center text-xs sm:text-xl">We Serve Seattle, Bellview Tacoma and Surrounding Areas</p>
					<div className="max-w-xl mx-auto mt-2">
						<input
							type="text"
							maxLength={5}
							className="w-full h-12 sm:h-20 rounded-3xl text-2xl sm:text-3xl leading-10 tracking-widest text-center text-black/75 border !border-black/30 hover:!outline-none focus:!outline-none placeholder:text-neutral-800 placeholder:opacity-30"
							placeholder="Type Your ZIP Code"
							value={zip}
							onInput={e=>{setZip((e.target as HTMLInputElement).value.replace(/[^0-9]/g, ''))}}
						/>
					</div>
					{ zip.length>0 && zip.length<5 && <p className="text-sm text-error font-bold text-center mt-2">Please enter a valid zip code.</p> }
				</>
			}
		</div>
	)
}
